Creates a discrepancy for a PSC Discrepancy Report
POST https://api.company-information.service.gov.uk/psc-discrepancy-reports/{discrepancy-report-id}/discrepancies
| Parameter name |
Value |
Description |
Additional |
| discrepancy-report-id |
string |
ID of PSC Discrepancy Report
|
Required |
The request body takes a complete
Discrepancy resource, containing the following writable properties:
{
"details": "string",
"psc_date_of_birth": "MM/YYYY",
"psc_discrepancy_types": [
"string"
],
"psc_name": "string",
"psc_type": "string"
}
| Name |
Type |
Description |
Additional |
|
details
|
string |
|
|
|
psc_date_of_birth
|
MM/YYYY |
This field is mandatory when the psc_type is individual-person-with-significant-control
|
|
|
psc_discrepancy_types[]
|
array of string |
The values for psc_discrepancy_types are dependant on the value of the psc_type field. Common to all psc_type values are Nature of control, Correspondence address, Notified date and Other reason. For individual-person-with-significant-control: Name, Date of birth, Nationality and Country of residence. For corporate-entity-person-with-significant-control: Company name, Governing law, Legal form, Company number, Place of registration and Incorporation law. For legal-person-person-with-significant-control: Name, Governing law and Legal form. For individual-beneficial-owner: Name, Date of birth, Nationality, Country of residence and Sanctioned. For corporate-entity-beneficial-owner: Company name, Governing law, Legal form, Company number, Place of registration, Incorporation law, Sanctioned and Principal office address. For legal-person-beneficial-owner: Name, Governing law, Legal form, Sanctioned and Principal office address.
Possible values are:
Nature of control
Correspondence address
Notified date
Other reason
Name
Date of birth
Nationality
Country of residence
Company name
Governing law
Legal form
Company number
Place of registration
Incorporation law
Principal office address
Sanctioned
|
|
|
psc_name
|
string |
This field is not mandatory if the psc_type is psc-is-missing
|
|
|
psc_type
|
string |
Possible values are:
individual-person-with-significant-control
individual-beneficial-owner
corporate-entity-person-with-significant-control
corporate-entity-beneficial-owner
legal-person-person-with-significant-control
legal-person-beneficial-owner
psc-is-missing
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/psc-discrepancy-reports.write-full |
Grants full PSC Discrepancy report access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created Discrepancy created
|
DiscrepancyResponse |
| 400 |
Bad Request The body has errors. The correct error is displayed if a single element is omitted from the call but if multiple elements are left out not all errors are displayed. Eg if only the status is added to the body of a /psc-discrepancy-reports POST the only error that fires is for the obliged-entity type and not the other 4 fields that are missing.
|
Error |
| 404 |
Not Found Not found
|
|
| 500 |
Internal Server Error Internal Server Error
|
|